##############################################################################
# Initialisation file for the ZMS Richedit Product for Zope
#
# $Id:$
# $Name:$
# $Author:$
# $Revision:$
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

"""ZMS Richedit Product"""

# Documentation string.
__doc__ = """initialization module."""
# Version string.
__version__ = '0.1'

# Imports.
from Globals import ImageFile
from App.Common import package_home
import OFS.misc_
import os
import stat

###################################################################################################
# Define the initialize() function. 
###################################################################################################

misc_ = {}

try: 
    """Try to register the product."""
    
    # automated registration for other Methods
    for img_path in ['dtml/']:
      path = package_home(globals()) + os.sep + img_path
      for file in os.listdir(path):
        filepath = path + os.sep + file 
        mode = os.stat(filepath)[stat.ST_MODE]
        if not stat.S_ISDIR(mode):
          s=file[:file.rfind('.')]
          icon=ImageFile(filepath,globals())
          misc_[s]=icon
    
    # automated registration for other Images
    for img_path in ['www/']:
      path = package_home(globals()) + os.sep + img_path
      for file in os.listdir(path):
        filepath = path + os.sep + file 
        mode = os.stat(filepath)[stat.ST_MODE]
        if not stat.S_ISDIR(mode):
          s=file
          icon=ImageFile(filepath,globals())
          misc_[s]=icon

except:
    """If you can't register the product, dump error. 
    
    Zope will sometimes provide you with access to "broken product" and
    a backtrace of what went wrong, but not always; I think that only 
    works for errors caught in your main product module. 
    
    This code provides traceback for anything that happened in 
    registerClass(), assuming you're running Zope in debug mode."""
    
    import sys, traceback, string
    type, val, tb = sys.exc_info()
    sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
    del type, val, tb

###################################################################################################
